org.eclipse.gmt.modisco.infra.browser.uicore

## Class CustomizableModelLabelProvider

- java.lang.Object
- - LabelProvider
  - - org.eclipse.gmt.modisco.infra.browser.uicore.CustomizableModelLabelProvider

Deprecated.
Will be replaced by EMF Facet, cf https://bugs.eclipse.org/bugs/show_bug.cgi?id=470715

    @Deprecated
    public class CustomizableModelLabelProvider
    extends LabelProvider

A label provider used to display a model customized with a MoDico customization.

### Constructor Summary

Constructors
Constructor and Description
`CustomizableModelLabelProvider(CustomizationManager customizationManager)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Color` `getBackground(java.lang.Object element)` Deprecated.
`Font` `getFont(java.lang.Object element)` Deprecated.
`Color` `getForeground(java.lang.Object element)` Deprecated.
`Image` `getImage(java.lang.Object element)` Deprecated.
`java.lang.String` `getText(java.lang.Object element)` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomizableModelLabelProvider

    public CustomizableModelLabelProvider(CustomizationManager customizationManager)

Deprecated.

### Method Detail

#### getText

    public java.lang.String getText(java.lang.Object element)

Deprecated.

#### getImage

    public Image getImage(java.lang.Object element)

Deprecated.

#### getFont

    public Font getFont(java.lang.Object element)

Deprecated.

#### getForeground

    public Color getForeground(java.lang.Object element)

Deprecated.

#### getBackground

    public Color getBackground(java.lang.Object element)

Deprecated.